Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::IDs Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::IDs:

[legend]
Collaboration diagram for PortableServer::IDs:

[legend]
List of all members.

## Public Types
typedef IDs_var | _var_type
## Public Methods
| IDs (void)
| IDs (CORBA::ULong max)
| IDs (CORBA::ULong max, CORBA::ULong length, ObjectId *buffer, CORBA::Boolean release=0)
| IDs (const IDs &)
| ~IDs (void)
## Static Public Methods
void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef IDs_var PortableServer::IDs::_var_type

## Constructor & Destructor Documentation

PortableServer::IDs::IDs | ( | void |  | ) |

PortableServer::IDs::IDs | ( | CORBA::ULong | max | ) |

PortableServer::IDs::IDs | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | ObjectId * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

PortableServer::IDs::IDs | ( | const IDs & |  | ) |

PortableServer::IDs::~IDs | ( | void |  | ) |

## Member Function Documentation

void PortableServer::IDs::_tao_any_destructor | ( | void * |  | ) | `[static]`

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp